[arch-commits] Commit in rubinius/repos (14 files)
Jan Steffens
heftig at archlinux.org
Sat Apr 18 00:36:47 UTC 2015
Date: Saturday, April 18, 2015 @ 02:36:47
Author: heftig
Revision: 131604
archrelease: copy trunk to community-i686, community-x86_64
Added:
rubinius/repos/community-i686/0001-Allow-shared-linking-to-LLVM-3.5.patch
(from rev 131603, rubinius/trunk/0001-Allow-shared-linking-to-LLVM-3.5.patch)
rubinius/repos/community-i686/PKGBUILD
(from rev 131603, rubinius/trunk/PKGBUILD)
rubinius/repos/community-i686/dirs.patch
(from rev 131603, rubinius/trunk/dirs.patch)
rubinius/repos/community-i686/gemrc
(from rev 131603, rubinius/trunk/gemrc)
rubinius/repos/community-x86_64/0001-Allow-shared-linking-to-LLVM-3.5.patch
(from rev 131603, rubinius/trunk/0001-Allow-shared-linking-to-LLVM-3.5.patch)
rubinius/repos/community-x86_64/PKGBUILD
(from rev 131603, rubinius/trunk/PKGBUILD)
rubinius/repos/community-x86_64/dirs.patch
(from rev 131603, rubinius/trunk/dirs.patch)
rubinius/repos/community-x86_64/gemrc
(from rev 131603, rubinius/trunk/gemrc)
Deleted:
rubinius/repos/community-i686/PKGBUILD
rubinius/repos/community-i686/dirs.patch
rubinius/repos/community-i686/gemrc
rubinius/repos/community-x86_64/PKGBUILD
rubinius/repos/community-x86_64/dirs.patch
rubinius/repos/community-x86_64/gemrc
--------------------------------------------------------------+
/PKGBUILD | 182 ++++++++++
/dirs.patch | 42 ++
/gemrc | 10
community-i686/0001-Allow-shared-linking-to-LLVM-3.5.patch | 102 +++++
community-i686/PKGBUILD | 87 ----
community-i686/dirs.patch | 21 -
community-i686/gemrc | 5
community-x86_64/0001-Allow-shared-linking-to-LLVM-3.5.patch | 102 +++++
community-x86_64/PKGBUILD | 87 ----
community-x86_64/dirs.patch | 21 -
community-x86_64/gemrc | 5
11 files changed, 438 insertions(+), 226 deletions(-)
Copied: rubinius/repos/community-i686/0001-Allow-shared-linking-to-LLVM-3.5.patch (from rev 131603, rubinius/trunk/0001-Allow-shared-linking-to-LLVM-3.5.patch)
===================================================================
--- community-i686/0001-Allow-shared-linking-to-LLVM-3.5.patch (rev 0)
+++ community-i686/0001-Allow-shared-linking-to-LLVM-3.5.patch 2015-04-18 00:36:47 UTC (rev 131604)
@@ -0,0 +1,102 @@
+From 4fd2b3dc1395e838d5e77de4b551063d5849deaa Mon Sep 17 00:00:00 2001
+From: "Jan Alexander Steffens (heftig)" <jan.steffens at gmail.com>
+Date: Fri, 6 Mar 2015 20:45:47 +0100
+Subject: [PATCH] Allow shared linking to LLVM 3.5
+
+Run check_llvm_flags before checking for shared libs and use the
+calculated flags there.
+---
+ configure | 53 +++++++++++++++++++++++------------------------------
+ 1 file changed, 23 insertions(+), 30 deletions(-)
+
+diff --git a/configure b/configure
+index fabb2d3..3a35743 100755
+--- a/configure
++++ b/configure
+@@ -563,15 +563,6 @@ class Configure
+ return false
+ end
+
+- if setup_config
+- check_llvm_flags
+- return true
+- end
+-
+- failure "ABORT: unable to set up LLVM"
+- end
+-
+- def setup_config
+ @log.print " Checking for 'llvm-config': "
+
+ config = @llvm_configure
+@@ -602,36 +593,38 @@ class Configure
+ # Ruby 1.9 raises this error
+ failed = true
+ end
+- if failed
+- @log.write "Executing #{config_cmd.inspect} failed"
+- return false
+- end
+
+- parts = version.sub(/svn$/, "").split(".").map { |i| i.to_i }
+- api_version = ("%d%02d" % parts[0..1]).to_i
+- if api_version < 300 or api_version > 305
+- @log.write "only LLVM 3.0-3.5 is supported"
+- else
+- @log.write "found! (version #{version} - api: #{api_version})"
+- @llvm = :config
+- @llvm_configure = config_cmd
+- @llvm_version = version
+- @llvm_api_version = api_version
++ unless failed
++ parts = version.sub(/svn$/, "").split(".").map { |i| i.to_i }
++ api_version = ("%d%02d" % parts[0..1]).to_i
++ if api_version < 300 or api_version > 305
++ @log.write "only LLVM 3.0-3.5 is supported"
++ else
++ @log.write "found! (version #{version} - api: #{api_version})"
++ @llvm = :config
++ @llvm_configure = config_cmd
++ @llvm_version = version
++ @llvm_api_version = api_version
+
+- if @llvm_shared
+- setup_config_shared
++ check_llvm_flags
++
++ if @llvm_shared
++ setup_llvm_shared
++ end
++
++ return true
+ end
+-
+- return true
++ else
++ @log.write "executing #{config_cmd.inspect} failed"
+ end
+ else
+ @log.write "not found"
+ end
+
+- false
++ failure "ABORT: unable to set up LLVM"
+ end
+
+- def setup_config_shared
++ def setup_llvm_shared
+ @log.print " Checking for LLVM shared libs: "
+
+ src = <<-EOP
+@@ -640,7 +633,7 @@ using namespace llvm;
+ int main() { LLVMContext &Context = getGlobalContext(); }
+ EOP
+
+- common_args = `#{@llvm_configure} --cppflags --ldflags`.strip.split(/\s+/)
++ common_args = "`#{@llvm_configure} --cppflags` #{@llvm_cxxflags} #{@llvm_ldflags}".strip.split(/\s+/)
+ shared_configs = {
+ "libLLVM-#{@llvm_version}" => ["-lLLVM-#{@llvm_version}"],
+ "#{@llvm_configure} --libs" => `#{@llvm_configure} --libs`.strip.split(/\s+/)
+--
+2.3.5
+
Deleted: community-i686/PKGBUILD
===================================================================
--- community-i686/PKGBUILD 2015-04-18 00:31:20 UTC (rev 131603)
+++ community-i686/PKGBUILD 2015-04-18 00:36:47 UTC (rev 131604)
@@ -1,87 +0,0 @@
-# $Id$
-# Maintainer: Jan Alexander Steffens (heftig) <jan.steffens at gmail.com>
-
-pkgbase=rubinius
-pkgname=(rubinius rubinius-ruby)
-pkgver=2.5.1
-pkgrel=3
-pkgdesc="Ruby runtime written in Ruby, designed for concurrency"
-arch=(i686 x86_64)
-url="http://rubini.us"
-license=(custom)
-depends=(llvm-libs libffi openssl libyaml)
-makedepends=(llvm rubinius-ruby)
-options=(!emptydirs)
-source=(http://releases.rubini.us/${pkgbase}-${pkgver}.tar.bz2
- gemrc dirs.patch)
-sha256sums=('00d6f23b7632d035d322209e736a9341155350a9d169e8471d38a554a8e26600'
- '4bb7eb2fe66e396ed16b589cdb656831407b39ad4e138d88536754c0448ac614'
- 'a9922b199730c059c26781af45adc46401811ff2e6840c4aeb49da4fa41acdd9')
-
-prepare() {
- export GEM_HOME="$srcdir/gemdir" LANG="en_US.UTF-8"
- cd $pkgbase-$pkgver
-
- patch -Np1 -i ../dirs.patch
-
- mkdir -p "$GEM_HOME"
- gem install --no-user-install -N vendor/cache/bundler-*.gem
-
- "$GEM_HOME/bin/bundle" install --local
-}
-
-build() {
- export GEM_HOME="$srcdir/gemdir" LANG="en_US.UTF-8"
- cd $pkgbase-$pkgver
-
- ./configure --prefix=/usr \
- --mandir=/usr/share/man \
- --includedir=/usr/include/rubinius \
- --appdir=/usr/lib/rubinius \
- --gemsdir=/usr/lib/rubinius/gems \
- --preserve-prefix \
- --without-rpath \
- --bin-link bundle --bin-link bundler
- rake build
-}
-
-check() {
- export GEM_HOME="$srcdir/gemdir" LANG="en_US.UTF-8"
- cd $pkgbase-$pkgver
-
- rake vm:test || :
-}
-
-package_rubinius() {
- optdepends=('ruby-docs: Ruby documentation')
-
- export GEM_HOME="$srcdir/gemdir" LANG="en_US.UTF-8"
- cd $pkgbase-$pkgver
-
- DESTDIR="$pkgdir" rake install
-
- mkdir -p "$pkgdir/usr/share/ri"
- ln -s 2.1.0 "$pkgdir/usr/share/ri/2.1"
-
- install -Dm644 LICENSE "$pkgdir/usr/share/licenses/rubinius/LICENSE"
-
-### Split rubinius-ruby
- mkdir -p "$srcdir/ruby/usr/bin"
- for _f in "$pkgdir"/usr/bin/*; do
- [[ $_f == */rbx ]] && continue
- mv $_f "$srcdir/ruby/usr/bin"
- done
-}
-
-package_rubinius-ruby() {
- pkgdesc="Ruby compat for Rubinius"
- depends=("rubinius=$pkgver-$pkgrel")
- provides=(ruby)
- conflicts=(ruby)
- backup=(etc/gemrc)
-
- mv ruby/* "$pkgdir"
- install -Dm644 gemrc "$pkgdir/etc/gemrc"
- install -d "$pkgdir/usr/share/licenses/rubinius-ruby"
- ln -s ../rubinius/LICENSE "$pkgdir/usr/share/licenses/rubinius-ruby/LICENSE"
-}
Copied: rubinius/repos/community-i686/PKGBUILD (from rev 131603, rubinius/trunk/PKGBUILD)
===================================================================
--- community-i686/PKGBUILD (rev 0)
+++ community-i686/PKGBUILD 2015-04-18 00:36:47 UTC (rev 131604)
@@ -0,0 +1,91 @@
+# $Id$
+# Maintainer: Jan Alexander Steffens (heftig) <jan.steffens at gmail.com>
+
+pkgbase=rubinius
+pkgname=(rubinius rubinius-ruby)
+pkgver=2.5.1
+pkgrel=4
+pkgdesc="Ruby runtime written in Ruby, designed for concurrency"
+arch=(i686 x86_64)
+url="http://rubini.us"
+license=(custom)
+depends=(llvm35-libs libffi openssl libyaml)
+makedepends=(llvm35 rubinius-ruby)
+options=(!emptydirs)
+source=(http://releases.rubini.us/${pkgbase}-${pkgver}.tar.bz2
+ 0001-Allow-shared-linking-to-LLVM-3.5.patch
+ gemrc dirs.patch)
+sha256sums=('00d6f23b7632d035d322209e736a9341155350a9d169e8471d38a554a8e26600'
+ 'e5b1c56e18bce8589d30ee8181128eccec6c3cbacb82f52f5cb4614407d8192a'
+ '4bb7eb2fe66e396ed16b589cdb656831407b39ad4e138d88536754c0448ac614'
+ 'a9922b199730c059c26781af45adc46401811ff2e6840c4aeb49da4fa41acdd9')
+
+prepare() {
+ export GEM_HOME="$srcdir/gemdir" LANG="en_US.UTF-8"
+ cd $pkgbase-$pkgver
+
+ patch -Np1 -i ../0001-Allow-shared-linking-to-LLVM-3.5.patch
+ patch -Np1 -i ../dirs.patch
+
+ mkdir -p "$GEM_HOME"
+ gem install --no-user-install -N vendor/cache/bundler-*.gem
+
+ "$GEM_HOME/bin/bundle" install --local
+}
+
+build() {
+ export GEM_HOME="$srcdir/gemdir" LANG="en_US.UTF-8"
+ cd $pkgbase-$pkgver
+
+ ./configure --prefix=/usr \
+ --mandir=/usr/share/man \
+ --includedir=/usr/include/rubinius \
+ --appdir=/usr/lib/rubinius \
+ --gemsdir=/usr/lib/rubinius/gems \
+ --llvm-shared \
+ --preserve-prefix \
+ --without-rpath \
+ --bin-link bundle --bin-link bundler
+ rake build
+}
+
+check() {
+ export GEM_HOME="$srcdir/gemdir" LANG="en_US.UTF-8"
+ cd $pkgbase-$pkgver
+
+ rake vm:test || :
+}
+
+package_rubinius() {
+ optdepends=('ruby-docs: Ruby documentation')
+
+ export GEM_HOME="$srcdir/gemdir" LANG="en_US.UTF-8"
+ cd $pkgbase-$pkgver
+
+ DESTDIR="$pkgdir" rake install
+
+ mkdir -p "$pkgdir/usr/share/ri"
+ ln -s 2.1.0 "$pkgdir/usr/share/ri/2.1"
+
+ install -Dm644 LICENSE "$pkgdir/usr/share/licenses/rubinius/LICENSE"
+
+### Split rubinius-ruby
+ mkdir -p "$srcdir/ruby/usr/bin"
+ for _f in "$pkgdir"/usr/bin/*; do
+ [[ $_f == */rbx ]] && continue
+ mv $_f "$srcdir/ruby/usr/bin"
+ done
+}
+
+package_rubinius-ruby() {
+ pkgdesc="Ruby compat for Rubinius"
+ depends=("rubinius=$pkgver-$pkgrel")
+ provides=(ruby)
+ conflicts=(ruby)
+ backup=(etc/gemrc)
+
+ mv ruby/* "$pkgdir"
+ install -Dm644 gemrc "$pkgdir/etc/gemrc"
+ install -d "$pkgdir/usr/share/licenses/rubinius-ruby"
+ ln -s ../rubinius/LICENSE "$pkgdir/usr/share/licenses/rubinius-ruby/LICENSE"
+}
Deleted: community-i686/dirs.patch
===================================================================
--- community-i686/dirs.patch 2015-04-18 00:31:20 UTC (rev 131603)
+++ community-i686/dirs.patch 2015-04-18 00:36:47 UTC (rev 131604)
@@ -1,21 +0,0 @@
-diff --git i/library/rbconfig.rb w/library/rbconfig.rb
-index 2e0cbba..3d9327d 100644
---- i/library/rbconfig.rb
-+++ w/library/rbconfig.rb
-@@ -16,12 +16,12 @@ module RbConfig
- CONFIG["exec_prefix"] = "$(prefix)"
- CONFIG["bindir"] = Rubinius::BIN_PATH.dup
- CONFIG["sbindir"] = "$(exec_prefix)/sbin"
-- CONFIG["libexecdir"] = "$(exec_prefix)/libexec"
-+ CONFIG["libexecdir"] = "/usr/lib/rubinius"
- CONFIG["datarootdir"] = "$(prefix)/share"
- CONFIG["datadir"] = "$(datarootdir)"
-- CONFIG["sysconfdir"] = "$(prefix)/etc"
-- CONFIG["sharedstatedir"] = "$(prefix)/com"
-- CONFIG["localstatedir"] = "$(prefix)/var"
-+ CONFIG["sysconfdir"] = "/etc"
-+ CONFIG["sharedstatedir"] = "/var/lib"
-+ CONFIG["localstatedir"] = "/var"
- CONFIG["includedir"] = "$(prefix)/include"
- CONFIG["oldincludedir"] = "/usr/include"
- CONFIG["docdir"] = "$(datarootdir)/doc/$(PACKAGE)"
Copied: rubinius/repos/community-i686/dirs.patch (from rev 131603, rubinius/trunk/dirs.patch)
===================================================================
--- community-i686/dirs.patch (rev 0)
+++ community-i686/dirs.patch 2015-04-18 00:36:47 UTC (rev 131604)
@@ -0,0 +1,21 @@
+diff --git i/library/rbconfig.rb w/library/rbconfig.rb
+index 2e0cbba..3d9327d 100644
+--- i/library/rbconfig.rb
++++ w/library/rbconfig.rb
+@@ -16,12 +16,12 @@ module RbConfig
+ CONFIG["exec_prefix"] = "$(prefix)"
+ CONFIG["bindir"] = Rubinius::BIN_PATH.dup
+ CONFIG["sbindir"] = "$(exec_prefix)/sbin"
+- CONFIG["libexecdir"] = "$(exec_prefix)/libexec"
++ CONFIG["libexecdir"] = "/usr/lib/rubinius"
+ CONFIG["datarootdir"] = "$(prefix)/share"
+ CONFIG["datadir"] = "$(datarootdir)"
+- CONFIG["sysconfdir"] = "$(prefix)/etc"
+- CONFIG["sharedstatedir"] = "$(prefix)/com"
+- CONFIG["localstatedir"] = "$(prefix)/var"
++ CONFIG["sysconfdir"] = "/etc"
++ CONFIG["sharedstatedir"] = "/var/lib"
++ CONFIG["localstatedir"] = "/var"
+ CONFIG["includedir"] = "$(prefix)/include"
+ CONFIG["oldincludedir"] = "/usr/include"
+ CONFIG["docdir"] = "$(datarootdir)/doc/$(PACKAGE)"
Deleted: community-i686/gemrc
===================================================================
--- community-i686/gemrc 2015-04-18 00:31:20 UTC (rev 131603)
+++ community-i686/gemrc 2015-04-18 00:36:47 UTC (rev 131604)
@@ -1,5 +0,0 @@
-# Read about the gemrc format at http://docs.rubygems.org/read/chapter/11
-
-# --user-install is used to install to $HOME/.gem/ by default since we want to separate
-# pacman installed gems and gem installed gems
-gem: --user-install
Copied: rubinius/repos/community-i686/gemrc (from rev 131603, rubinius/trunk/gemrc)
===================================================================
--- community-i686/gemrc (rev 0)
+++ community-i686/gemrc 2015-04-18 00:36:47 UTC (rev 131604)
@@ -0,0 +1,5 @@
+# Read about the gemrc format at http://docs.rubygems.org/read/chapter/11
+
+# --user-install is used to install to $HOME/.gem/ by default since we want to separate
+# pacman installed gems and gem installed gems
+gem: --user-install
Copied: rubinius/repos/community-x86_64/0001-Allow-shared-linking-to-LLVM-3.5.patch (from rev 131603, rubinius/trunk/0001-Allow-shared-linking-to-LLVM-3.5.patch)
===================================================================
--- community-x86_64/0001-Allow-shared-linking-to-LLVM-3.5.patch (rev 0)
+++ community-x86_64/0001-Allow-shared-linking-to-LLVM-3.5.patch 2015-04-18 00:36:47 UTC (rev 131604)
@@ -0,0 +1,102 @@
+From 4fd2b3dc1395e838d5e77de4b551063d5849deaa Mon Sep 17 00:00:00 2001
+From: "Jan Alexander Steffens (heftig)" <jan.steffens at gmail.com>
+Date: Fri, 6 Mar 2015 20:45:47 +0100
+Subject: [PATCH] Allow shared linking to LLVM 3.5
+
+Run check_llvm_flags before checking for shared libs and use the
+calculated flags there.
+---
+ configure | 53 +++++++++++++++++++++++------------------------------
+ 1 file changed, 23 insertions(+), 30 deletions(-)
+
+diff --git a/configure b/configure
+index fabb2d3..3a35743 100755
+--- a/configure
++++ b/configure
+@@ -563,15 +563,6 @@ class Configure
+ return false
+ end
+
+- if setup_config
+- check_llvm_flags
+- return true
+- end
+-
+- failure "ABORT: unable to set up LLVM"
+- end
+-
+- def setup_config
+ @log.print " Checking for 'llvm-config': "
+
+ config = @llvm_configure
+@@ -602,36 +593,38 @@ class Configure
+ # Ruby 1.9 raises this error
+ failed = true
+ end
+- if failed
+- @log.write "Executing #{config_cmd.inspect} failed"
+- return false
+- end
+
+- parts = version.sub(/svn$/, "").split(".").map { |i| i.to_i }
+- api_version = ("%d%02d" % parts[0..1]).to_i
+- if api_version < 300 or api_version > 305
+- @log.write "only LLVM 3.0-3.5 is supported"
+- else
+- @log.write "found! (version #{version} - api: #{api_version})"
+- @llvm = :config
+- @llvm_configure = config_cmd
+- @llvm_version = version
+- @llvm_api_version = api_version
++ unless failed
++ parts = version.sub(/svn$/, "").split(".").map { |i| i.to_i }
++ api_version = ("%d%02d" % parts[0..1]).to_i
++ if api_version < 300 or api_version > 305
++ @log.write "only LLVM 3.0-3.5 is supported"
++ else
++ @log.write "found! (version #{version} - api: #{api_version})"
++ @llvm = :config
++ @llvm_configure = config_cmd
++ @llvm_version = version
++ @llvm_api_version = api_version
+
+- if @llvm_shared
+- setup_config_shared
++ check_llvm_flags
++
++ if @llvm_shared
++ setup_llvm_shared
++ end
++
++ return true
+ end
+-
+- return true
++ else
++ @log.write "executing #{config_cmd.inspect} failed"
+ end
+ else
+ @log.write "not found"
+ end
+
+- false
++ failure "ABORT: unable to set up LLVM"
+ end
+
+- def setup_config_shared
++ def setup_llvm_shared
+ @log.print " Checking for LLVM shared libs: "
+
+ src = <<-EOP
+@@ -640,7 +633,7 @@ using namespace llvm;
+ int main() { LLVMContext &Context = getGlobalContext(); }
+ EOP
+
+- common_args = `#{@llvm_configure} --cppflags --ldflags`.strip.split(/\s+/)
++ common_args = "`#{@llvm_configure} --cppflags` #{@llvm_cxxflags} #{@llvm_ldflags}".strip.split(/\s+/)
+ shared_configs = {
+ "libLLVM-#{@llvm_version}" => ["-lLLVM-#{@llvm_version}"],
+ "#{@llvm_configure} --libs" => `#{@llvm_configure} --libs`.strip.split(/\s+/)
+--
+2.3.5
+
Deleted: community-x86_64/PKGBUILD
===================================================================
--- community-x86_64/PKGBUILD 2015-04-18 00:31:20 UTC (rev 131603)
+++ community-x86_64/PKGBUILD 2015-04-18 00:36:47 UTC (rev 131604)
@@ -1,87 +0,0 @@
-# $Id$
-# Maintainer: Jan Alexander Steffens (heftig) <jan.steffens at gmail.com>
-
-pkgbase=rubinius
-pkgname=(rubinius rubinius-ruby)
-pkgver=2.5.1
-pkgrel=3
-pkgdesc="Ruby runtime written in Ruby, designed for concurrency"
-arch=(i686 x86_64)
-url="http://rubini.us"
-license=(custom)
-depends=(llvm-libs libffi openssl libyaml)
-makedepends=(llvm rubinius-ruby)
-options=(!emptydirs)
-source=(http://releases.rubini.us/${pkgbase}-${pkgver}.tar.bz2
- gemrc dirs.patch)
-sha256sums=('00d6f23b7632d035d322209e736a9341155350a9d169e8471d38a554a8e26600'
- '4bb7eb2fe66e396ed16b589cdb656831407b39ad4e138d88536754c0448ac614'
- 'a9922b199730c059c26781af45adc46401811ff2e6840c4aeb49da4fa41acdd9')
-
-prepare() {
- export GEM_HOME="$srcdir/gemdir" LANG="en_US.UTF-8"
- cd $pkgbase-$pkgver
-
- patch -Np1 -i ../dirs.patch
-
- mkdir -p "$GEM_HOME"
- gem install --no-user-install -N vendor/cache/bundler-*.gem
-
- "$GEM_HOME/bin/bundle" install --local
-}
-
-build() {
- export GEM_HOME="$srcdir/gemdir" LANG="en_US.UTF-8"
- cd $pkgbase-$pkgver
-
- ./configure --prefix=/usr \
- --mandir=/usr/share/man \
- --includedir=/usr/include/rubinius \
- --appdir=/usr/lib/rubinius \
- --gemsdir=/usr/lib/rubinius/gems \
- --preserve-prefix \
- --without-rpath \
- --bin-link bundle --bin-link bundler
- rake build
-}
-
-check() {
- export GEM_HOME="$srcdir/gemdir" LANG="en_US.UTF-8"
- cd $pkgbase-$pkgver
-
- rake vm:test || :
-}
-
-package_rubinius() {
- optdepends=('ruby-docs: Ruby documentation')
-
- export GEM_HOME="$srcdir/gemdir" LANG="en_US.UTF-8"
- cd $pkgbase-$pkgver
-
- DESTDIR="$pkgdir" rake install
-
- mkdir -p "$pkgdir/usr/share/ri"
- ln -s 2.1.0 "$pkgdir/usr/share/ri/2.1"
-
- install -Dm644 LICENSE "$pkgdir/usr/share/licenses/rubinius/LICENSE"
-
-### Split rubinius-ruby
- mkdir -p "$srcdir/ruby/usr/bin"
- for _f in "$pkgdir"/usr/bin/*; do
- [[ $_f == */rbx ]] && continue
- mv $_f "$srcdir/ruby/usr/bin"
- done
-}
-
-package_rubinius-ruby() {
- pkgdesc="Ruby compat for Rubinius"
- depends=("rubinius=$pkgver-$pkgrel")
- provides=(ruby)
- conflicts=(ruby)
- backup=(etc/gemrc)
-
- mv ruby/* "$pkgdir"
- install -Dm644 gemrc "$pkgdir/etc/gemrc"
- install -d "$pkgdir/usr/share/licenses/rubinius-ruby"
- ln -s ../rubinius/LICENSE "$pkgdir/usr/share/licenses/rubinius-ruby/LICENSE"
-}
Copied: rubinius/repos/community-x86_64/PKGBUILD (from rev 131603, rubinius/trunk/PKGBUILD)
===================================================================
--- community-x86_64/PKGBUILD (rev 0)
+++ community-x86_64/PKGBUILD 2015-04-18 00:36:47 UTC (rev 131604)
@@ -0,0 +1,91 @@
+# $Id$
+# Maintainer: Jan Alexander Steffens (heftig) <jan.steffens at gmail.com>
+
+pkgbase=rubinius
+pkgname=(rubinius rubinius-ruby)
+pkgver=2.5.1
+pkgrel=4
+pkgdesc="Ruby runtime written in Ruby, designed for concurrency"
+arch=(i686 x86_64)
+url="http://rubini.us"
+license=(custom)
+depends=(llvm35-libs libffi openssl libyaml)
+makedepends=(llvm35 rubinius-ruby)
+options=(!emptydirs)
+source=(http://releases.rubini.us/${pkgbase}-${pkgver}.tar.bz2
+ 0001-Allow-shared-linking-to-LLVM-3.5.patch
+ gemrc dirs.patch)
+sha256sums=('00d6f23b7632d035d322209e736a9341155350a9d169e8471d38a554a8e26600'
+ 'e5b1c56e18bce8589d30ee8181128eccec6c3cbacb82f52f5cb4614407d8192a'
+ '4bb7eb2fe66e396ed16b589cdb656831407b39ad4e138d88536754c0448ac614'
+ 'a9922b199730c059c26781af45adc46401811ff2e6840c4aeb49da4fa41acdd9')
+
+prepare() {
+ export GEM_HOME="$srcdir/gemdir" LANG="en_US.UTF-8"
+ cd $pkgbase-$pkgver
+
+ patch -Np1 -i ../0001-Allow-shared-linking-to-LLVM-3.5.patch
+ patch -Np1 -i ../dirs.patch
+
+ mkdir -p "$GEM_HOME"
+ gem install --no-user-install -N vendor/cache/bundler-*.gem
+
+ "$GEM_HOME/bin/bundle" install --local
+}
+
+build() {
+ export GEM_HOME="$srcdir/gemdir" LANG="en_US.UTF-8"
+ cd $pkgbase-$pkgver
+
+ ./configure --prefix=/usr \
+ --mandir=/usr/share/man \
+ --includedir=/usr/include/rubinius \
+ --appdir=/usr/lib/rubinius \
+ --gemsdir=/usr/lib/rubinius/gems \
+ --llvm-shared \
+ --preserve-prefix \
+ --without-rpath \
+ --bin-link bundle --bin-link bundler
+ rake build
+}
+
+check() {
+ export GEM_HOME="$srcdir/gemdir" LANG="en_US.UTF-8"
+ cd $pkgbase-$pkgver
+
+ rake vm:test || :
+}
+
+package_rubinius() {
+ optdepends=('ruby-docs: Ruby documentation')
+
+ export GEM_HOME="$srcdir/gemdir" LANG="en_US.UTF-8"
+ cd $pkgbase-$pkgver
+
+ DESTDIR="$pkgdir" rake install
+
+ mkdir -p "$pkgdir/usr/share/ri"
+ ln -s 2.1.0 "$pkgdir/usr/share/ri/2.1"
+
+ install -Dm644 LICENSE "$pkgdir/usr/share/licenses/rubinius/LICENSE"
+
+### Split rubinius-ruby
+ mkdir -p "$srcdir/ruby/usr/bin"
+ for _f in "$pkgdir"/usr/bin/*; do
+ [[ $_f == */rbx ]] && continue
+ mv $_f "$srcdir/ruby/usr/bin"
+ done
+}
+
+package_rubinius-ruby() {
+ pkgdesc="Ruby compat for Rubinius"
+ depends=("rubinius=$pkgver-$pkgrel")
+ provides=(ruby)
+ conflicts=(ruby)
+ backup=(etc/gemrc)
+
+ mv ruby/* "$pkgdir"
+ install -Dm644 gemrc "$pkgdir/etc/gemrc"
+ install -d "$pkgdir/usr/share/licenses/rubinius-ruby"
+ ln -s ../rubinius/LICENSE "$pkgdir/usr/share/licenses/rubinius-ruby/LICENSE"
+}
Deleted: community-x86_64/dirs.patch
===================================================================
--- community-x86_64/dirs.patch 2015-04-18 00:31:20 UTC (rev 131603)
+++ community-x86_64/dirs.patch 2015-04-18 00:36:47 UTC (rev 131604)
@@ -1,21 +0,0 @@
-diff --git i/library/rbconfig.rb w/library/rbconfig.rb
-index 2e0cbba..3d9327d 100644
---- i/library/rbconfig.rb
-+++ w/library/rbconfig.rb
-@@ -16,12 +16,12 @@ module RbConfig
- CONFIG["exec_prefix"] = "$(prefix)"
- CONFIG["bindir"] = Rubinius::BIN_PATH.dup
- CONFIG["sbindir"] = "$(exec_prefix)/sbin"
-- CONFIG["libexecdir"] = "$(exec_prefix)/libexec"
-+ CONFIG["libexecdir"] = "/usr/lib/rubinius"
- CONFIG["datarootdir"] = "$(prefix)/share"
- CONFIG["datadir"] = "$(datarootdir)"
-- CONFIG["sysconfdir"] = "$(prefix)/etc"
-- CONFIG["sharedstatedir"] = "$(prefix)/com"
-- CONFIG["localstatedir"] = "$(prefix)/var"
-+ CONFIG["sysconfdir"] = "/etc"
-+ CONFIG["sharedstatedir"] = "/var/lib"
-+ CONFIG["localstatedir"] = "/var"
- CONFIG["includedir"] = "$(prefix)/include"
- CONFIG["oldincludedir"] = "/usr/include"
- CONFIG["docdir"] = "$(datarootdir)/doc/$(PACKAGE)"
Copied: rubinius/repos/community-x86_64/dirs.patch (from rev 131603, rubinius/trunk/dirs.patch)
===================================================================
--- community-x86_64/dirs.patch (rev 0)
+++ community-x86_64/dirs.patch 2015-04-18 00:36:47 UTC (rev 131604)
@@ -0,0 +1,21 @@
+diff --git i/library/rbconfig.rb w/library/rbconfig.rb
+index 2e0cbba..3d9327d 100644
+--- i/library/rbconfig.rb
++++ w/library/rbconfig.rb
+@@ -16,12 +16,12 @@ module RbConfig
+ CONFIG["exec_prefix"] = "$(prefix)"
+ CONFIG["bindir"] = Rubinius::BIN_PATH.dup
+ CONFIG["sbindir"] = "$(exec_prefix)/sbin"
+- CONFIG["libexecdir"] = "$(exec_prefix)/libexec"
++ CONFIG["libexecdir"] = "/usr/lib/rubinius"
+ CONFIG["datarootdir"] = "$(prefix)/share"
+ CONFIG["datadir"] = "$(datarootdir)"
+- CONFIG["sysconfdir"] = "$(prefix)/etc"
+- CONFIG["sharedstatedir"] = "$(prefix)/com"
+- CONFIG["localstatedir"] = "$(prefix)/var"
++ CONFIG["sysconfdir"] = "/etc"
++ CONFIG["sharedstatedir"] = "/var/lib"
++ CONFIG["localstatedir"] = "/var"
+ CONFIG["includedir"] = "$(prefix)/include"
+ CONFIG["oldincludedir"] = "/usr/include"
+ CONFIG["docdir"] = "$(datarootdir)/doc/$(PACKAGE)"
Deleted: community-x86_64/gemrc
===================================================================
--- community-x86_64/gemrc 2015-04-18 00:31:20 UTC (rev 131603)
+++ community-x86_64/gemrc 2015-04-18 00:36:47 UTC (rev 131604)
@@ -1,5 +0,0 @@
-# Read about the gemrc format at http://docs.rubygems.org/read/chapter/11
-
-# --user-install is used to install to $HOME/.gem/ by default since we want to separate
-# pacman installed gems and gem installed gems
-gem: --user-install
Copied: rubinius/repos/community-x86_64/gemrc (from rev 131603, rubinius/trunk/gemrc)
===================================================================
--- community-x86_64/gemrc (rev 0)
+++ community-x86_64/gemrc 2015-04-18 00:36:47 UTC (rev 131604)
@@ -0,0 +1,5 @@
+# Read about the gemrc format at http://docs.rubygems.org/read/chapter/11
+
+# --user-install is used to install to $HOME/.gem/ by default since we want to separate
+# pacman installed gems and gem installed gems
+gem: --user-install
More information about the arch-commits
mailing list